{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine rlist \r\ndeclare function entid, repository, set_property, get_property, fieldcount\r\ndeclare function send_event, msg, post_event\r\n$insert rlist_equates\r\n$insert popup_equates\r\n$insert msg_equates\r\n\r\n*Stmt selects from MSG_Groups table the group_names & restricts viewing to the username that matches the entry_id\r\nStmt = 'SELECT MSG_GROUPS WITH ENTRY_ID = ':quote( @user4 ):' BY GROUP_NAME'\r\nrlist( Stmt, target_activelist$, '', '', '' )\r\n\r\nif @reccount then\r\n    PopupRec = entid( @appid<1>, 'POPUP', '', 'SHOW_GROUP_NAMES' )\r\n    RetVals = repository( 'EXECUTE', PopupRec, @window, '' )\r\n    if RetVals then\r\n       CurArray = .send_to_group_int->array\r\n       CurRow   = .send_to_group_int->selpos<2>\r\n       CurArray = delete( CurArray, 1, CurRow, 0 )\r\n       CurArray = insert( CurArray, 1, CurRow, 0, RetVals )\r\n       .send_to_group_int->array = CurArray\r\n       Void = send_event( CtrlEntId, 'LOSTFOCUS', '' )\r\n       Void = post_event( @window:'.FROM_INTERNAL', 'GOTFOCUS', '' )\r\n       Void = set_property( @window:'.FROM_INTERNAL', 'FOCUS', 1 )\r\n    end\r\nend else\r\n   MsgRec = ''\r\n   MsgRec<mtext$> = 'You do not have any group names...'\r\n   MsgRec<micon$> = '!' \r\n   Void = msg( '', MsgRec )\r\nend\r\nRETURN 0"
        }
    }
}